sc updated and mod failed

User avatar

Topic author
EMPShockwave
Terran Refinery Attendant
Terran Refinery Attendant
Posts: 21
Joined: Wed Apr 16, 2008 4:19 am
Status: Offline

sc updated and mod failed

Postby EMPShockwave » Tue Oct 02, 2018 7:17 pm

Battle.net just updated starcraft, then Antioch Chronicles does not support my StarCraft version.


Revolta
Terran Nuclear Silo Safety Inspector
Terran Nuclear Silo Safety Inspector
Posts: 240
Joined: Thu Apr 23, 2015 6:02 am
Status: Offline

Re: sc updated and mod failed

Postby Revolta » Tue Oct 02, 2018 9:45 pm

welcome to 2018, this problem is fixed by upgrading to 1.16.1: http://www.staredit.net/topic/17625/

User avatar

Topic author
EMPShockwave
Terran Refinery Attendant
Terran Refinery Attendant
Posts: 21
Joined: Wed Apr 16, 2008 4:19 am
Status: Offline

Re: sc updated and mod failed

Postby EMPShockwave » Wed Oct 03, 2018 8:08 pm

But I could play it in remastered version just 2 days ago.
And Antioch Chronicles Mod has been adapted to ver 1.20+.


Revolta
Terran Nuclear Silo Safety Inspector
Terran Nuclear Silo Safety Inspector
Posts: 240
Joined: Thu Apr 23, 2015 6:02 am
Status: Offline

Re: sc updated and mod failed

Postby Revolta » Wed Oct 03, 2018 9:23 pm

Most patches break mods, and so those mods must be updated manually every time by the creators. You can try posting here and asking for an updated version: http://www.staredit.net/topic/17611/
Alternatively, upgrade to 1.16.1 as I said above and ignore remastered forever

User avatar

Topic author
EMPShockwave
Terran Refinery Attendant
Terran Refinery Attendant
Posts: 21
Joined: Wed Apr 16, 2008 4:19 am
Status: Offline

Re: sc updated and mod failed

Postby EMPShockwave » Sun Dec 09, 2018 7:49 am

If I use that version switcher to downgrade sc to a low version(1.14 or below), I can't run sc because it prompts that I may need starcraft CD. That make some mod not runnable (e.g. Legacy of the Confederation). How do I resolve that?


Revolta
Terran Nuclear Silo Safety Inspector
Terran Nuclear Silo Safety Inspector
Posts: 240
Joined: Thu Apr 23, 2015 6:02 am
Status: Offline

Re: sc updated and mod failed

Postby Revolta » Sun Dec 09, 2018 10:27 pm

This is the best tool for downgrading/version switching: http://www.staredit.net/topic/17625/

User avatar

Topic author
EMPShockwave
Terran Refinery Attendant
Terran Refinery Attendant
Posts: 21
Joined: Wed Apr 16, 2008 4:19 am
Status: Offline

Re: sc updated and mod failed

Postby EMPShockwave » Mon Dec 10, 2018 3:14 am

And I was using that one.
Also, my classic sc is installed from that full version installer.


Revolta
Terran Nuclear Silo Safety Inspector
Terran Nuclear Silo Safety Inspector
Posts: 240
Joined: Thu Apr 23, 2015 6:02 am
Status: Offline

Re: sc updated and mod failed

Postby Revolta » Mon Dec 10, 2018 6:36 am

Strange, I don't get that error when running old versions, maybe it's the fault of admin privileges. Looks like there's 1161 versions of the mod in the campaign listing for lotc, so try those and see if they work. https://mega.nz/#F!al4mzBCL!3KCtqIkyHQJUVrn9RX25xw


Return to “StarCraft Discussion”

Who is online

Users browsing this forum: No registered users and 0 guests